Linux

LMDE 5 “Elsie” Beta Released

Written by itsubuntu

LMDE 5 “Elsie” beta version is now available for download.  LMDE is a short form of “Linux Mint Debian Edition”. LMDE 5 is based on the Debian GNU/Linux 11 “Bullseye”. You will find Linux 5.10 LTS kernel series on LMDE 5.

System requirements for LMDE 5:

  • 2GB RAM (4GB recommended)
  • 20GB of disk space (100GB recommended).
  • 1024×768 resolution

LMDE 5 “Elsie” Beta Released

LMDE 5 is a project that is quite interesting to see as it is not based on Ubuntu like Linux Mint. LMDE will have the latest Cinnamon 5.2 desktop environment by default.

About the author

itsubuntu

Leave a Comment